Name:          java-jaxws
Version:       2.3.1
Release:       1mamba
Summary:       A Web Services framework that provides tools and infrastructure to develop Web Services solutions
Group:         System/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://javaee.github.io/metro-jax-ws/
Source:        https://repo1.maven.org/maven2/com/sun/xml/ws/jaxws-ri/%{version}/jaxws-ri-%{version}.zip
License:       Common Development and Distribution License, GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
JAX-WS RI is a Web Services framework that provides tools and infrastructure to develop Web Services solutions for the end users and middleware developers.

%prep
%setup -q -n jaxws-ri

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{_datadir}/java
cp lib/jaxws*.jar lib/jaxb*.jar %{buildroot}%{_datadir}/java/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_datadir}/java/jaxb-api.jar
%{_datadir}/java/jaxb-jxc.jar
%{_datadir}/java/jaxb-runtime.jar
%{_datadir}/java/jaxb-xjc.jar
%{_datadir}/java/jaxws-api.jar
%{_datadir}/java/jaxws-rt.jar
%{_datadir}/java/jaxws-tools.jar
%doc LICENSE.txt CDDL+GPLv2.txt

%changelog
* Sun Feb 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- package created using the webbuild interface
